com.amarula.barcodescanner.sdk

## Class BarcodeScannerSymbologyTable.FlagsN431x

- java.lang.Object
- - com.amarula.barcodescanner.sdk.BarcodeScannerSymbologyTable.FlagsN431x

- Enclosing class:
    BarcodeScannerSymbologyTable

      public final class BarcodeScannerSymbologyTable.FlagsN431x
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `N431X_CHECK_DISABLE`
    `static int` | `N431X_CHECK_ENABLE`
    `static int` | `N431X_CHECK_ENABLE_TX`
    `static int` | `N431X_CODABAR_VALID_CLSI`
    `static int` | `N431X_CODABAR_VALID_CLSI_TX`
    `static int` | `N431X_CODABAR_VALID_MOD16`
    `static int` | `N431X_CODABAR_VALID_MOD16_TX`
    `static int` | `N431X_CODABAR_VALID_MOD7`
    `static int` | `N431X_CODABAR_VALID_MOD7_TX`
    `static int` | `N431X_CODE11_1CKDIGIT_REQ`
    `static int` | `N431X_CODE11_2CKDIGIT_REQ`
    `static int` | `N431X_CODE11_CKDIGIT_AUTO`
    `static int` | `N431X_MSI_VALID_2TYPE10`
    `static int` | `N431X_MSI_VALID_2TYPE10_TX`
    `static int` | `N431X_MSI_VALID_TYPE10`
    `static int` | `N431X_MSI_VALID_TYPE10_TX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FlagsN431x()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### N431X_CHECK_DISABLE

          public static final int N431X_CHECK_DISABLE

      See Also:
        Constant Field Values

    - #### N431X_CHECK_ENABLE

          public static final int N431X_CHECK_ENABLE

      See Also:
        Constant Field Values

    - #### N431X_CHECK_ENABLE_TX

          public static final int N431X_CHECK_ENABLE_TX

      See Also:
        Constant Field Values

    - #### N431X_CODABAR_VALID_MOD16

          public static final int N431X_CODABAR_VALID_MOD16

      See Also:
        Constant Field Values

    - #### N431X_CODABAR_VALID_MOD16_TX

          public static final int N431X_CODABAR_VALID_MOD16_TX

      See Also:
        Constant Field Values

    - #### N431X_CODABAR_VALID_MOD7

          public static final int N431X_CODABAR_VALID_MOD7

      See Also:
        Constant Field Values

    - #### N431X_CODABAR_VALID_MOD7_TX

          public static final int N431X_CODABAR_VALID_MOD7_TX

      See Also:
        Constant Field Values

    - #### N431X_CODABAR_VALID_CLSI

          public static final int N431X_CODABAR_VALID_CLSI

      See Also:
        Constant Field Values

    - #### N431X_CODABAR_VALID_CLSI_TX

          public static final int N431X_CODABAR_VALID_CLSI_TX

      See Also:
        Constant Field Values

    - #### N431X_MSI_VALID_TYPE10

          public static final int N431X_MSI_VALID_TYPE10

      See Also:
        Constant Field Values

    - #### N431X_MSI_VALID_TYPE10_TX

          public static final int N431X_MSI_VALID_TYPE10_TX

      See Also:
        Constant Field Values

    - #### N431X_MSI_VALID_2TYPE10

          public static final int N431X_MSI_VALID_2TYPE10

      See Also:
        Constant Field Values

    - #### N431X_MSI_VALID_2TYPE10_TX

          public static final int N431X_MSI_VALID_2TYPE10_TX

      See Also:
        Constant Field Values

    - #### N431X_CODE11_1CKDIGIT_REQ

          public static final int N431X_CODE11_1CKDIGIT_REQ

      See Also:
        Constant Field Values

    - #### N431X_CODE11_2CKDIGIT_REQ

          public static final int N431X_CODE11_2CKDIGIT_REQ

      See Also:
        Constant Field Values

    - #### N431X_CODE11_CKDIGIT_AUTO

          public static final int N431X_CODE11_CKDIGIT_AUTO

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### FlagsN431x

          public FlagsN431x()